#! env python

import sys
import string

page="""<html>

<head>
<title>Plasm: In The Breeze - an interactive meditation game</title>
</head>

<body bgcolor="#aabbcc" lang=EN-US link=blue vlink=purple >

<center>
<p>
<a href="%(next)s">
<img border=0
%(img)s
>
</p>
<p>
%(phrase)s
</p>
</a>
</center>

</body>
</html>
"""

def genPage(fn, next, img,ph):
    fd = open(fn, "w")
    fd.write(page % { 'next':next, 'img':img, 'phrase':ph} )
    fd.close()

def main():
	lines = sys.stdin.readlines()
	fnCount = 2
	for i in lines:
		if i[0] == '#': continue
		fn = "plasm_inTheBreeze_%02d.html" % fnCount
		fnCount = fnCount + 1
		fnn = "plasm_inTheBreeze_%02d.html" % fnCount
		#print string.split(i)
		imgName,width,height,phrase = string.split(i," ", 3)
		print "fn=%s, imgName=%s w=%s h=%s" % (fn, imgName, width, height)
		img = 'src="%s" %s %s' % (imgName, width, height)
		genPage(fn, fnn, img, phrase)
	genPage(fn, "plasm_inTheBreeze_01.html", img, phrase)

main()

